Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.util
Class DebugThread

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--com.ibm.ulc.util.DebugThread

public class DebugThread
extends java.lang.Thread
implements java.io.Serializable

See Also:
  Serialized Form

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`DebugThread(java.lang.Runnable target)` DebugThread constructor comment.
`DebugThread(java.lang.Runnable target, java.lang.String name)` DebugThread constructor comment.
`DebugThread(java.lang.String name)` DebugThread constructor comment.
`DebugThread(java.lang.ThreadGroup pool, java.lang.Runnable target, java.lang.String name)` DebugThread constructor comment.

Method Summary
`protected void` | `finalize()` Code to perform when this object is garbage collected.
`static void` | `printInstances()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DebugThread

    public DebugThread(java.lang.Runnable target)

  DebugThread constructor comment.
  Parameters:
    `target` - java.lang.Runnable

### DebugThread

    public DebugThread(java.lang.Runnable target,
                       java.lang.String name)

  DebugThread constructor comment.
  Parameters:
    `target` - java.lang.Runnable
    `name` - java.lang.String

### DebugThread

    public DebugThread(java.lang.String name)

  DebugThread constructor comment.
  Parameters:
    `name` - java.lang.String

### DebugThread

    public DebugThread(java.lang.ThreadGroup pool,
                       java.lang.Runnable target,
                       java.lang.String name)

  DebugThread constructor comment.
  Parameters:
    `target` - java.lang.Runnable
    `name` - java.lang.String

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Code to perform when this object is garbage collected. Any exception thrown by a finalize method causes the finalization to halt. But otherwise, it is ignored.
  Overrides:
    finalize in class java.lang.Object

### printInstances

    public static void printInstances()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD